Method | Description | |
---|---|---|
ApplyTransform ( this body, Matrix4x4 t ) : void | ||
ClosestDistanceBetweenTwoCurves ( IMathUtility m, ICurve curve0, ICurve curve1 ) : |
||
ClosestPointOn ( this curve, System.Vector3 v ) : |
||
ClosestPointOn ( this curve, double x, double y, double z ) : |
||
ClosestPointTangentOn ( this curve, System.Vector3 v ) : |
||
ClosestPointToRay ( this curve, |
||
CreateTrimmedCurve ( this curve, double t0, double t1 ) : ICurve | ||
CurveBoundsDoubleArray ( this curve ) : double[] | ||
DisplayUndoable ( this curve, IModelDoc2 doc, Color color, double thickness, double chordTol = 1e-6, double lengthTol, int layer ) : IDisposable | ||
DisplayUndoable ( this line, IModelDoc2 doc, Color color, double thickness = 1, int layer ) : IDisposable | ||
Domain ( this curve ) : double[] |
Return the domain of the curve. ie the [startParam, endParam]
|
|
EndPoint ( this curve, int derivatives ) : List |
||
EndPoint ( this curve ) : System.Vector3 | ||
FindMinimumRadius ( this curve ) : MinimumRadiusResult | ||
GetCurveTs ( this edge ) : ICurve | ||
GetPlanePoints ( this curve, double position, System.Vector3 &pNormal, System.Vector3 &pCurve, System.Vector3 &pAxis ) : void | ||
GetPointsByLength ( this curve, double pointDistance, |
Approximation. Be carefull
|
|
GetTessPoints ( this curve, double chordTol, double lengthTol, RangeDouble domain = null ) : System.Vector3[] | ||
Length ( this curve ) : double |
Return the length of the curve between the start and end parameters.
|
|
PointAt ( this curve, double t, int derivatives ) : List |
Return the point at parameter value t on the curve.
|
|
PointAt ( this curve, double t ) : System.Vector3 | ||
PointAtDistanceFrom ( this c, System.Vector3 p0, double distance ) : double | ||
PointAtDistanceFrom ( this c, double t0, double distance ) : double |
Should solve
|
|
PointParamAt ( this curve, double t ) : |
||
PointTangentAt ( this c, double t ) : |
||
ReverseEvaluate ( this curve, System.Vector3 p ) : double | ||
StartPoint ( this curve, int derivatives ) : List |
||
StartPoint ( this curve ) : System.Vector3 |
Method | Description | |
---|---|---|
GetTessPotsAsVector3 ( ICurve curve, double chordTol, double lengthTol, double startPt, double midPt ) : IEnumerable |
||
MakeEdge ( IList |
public static ApplyTransform ( this body, Matrix4x4 t ) : void | ||
body | this | |
t | Matrix4x4 | |
return | void |
public static ClosestDistanceBetweenTwoCurves ( IMathUtility m, ICurve curve0, ICurve curve1 ) : |
||
m | IMathUtility | |
curve0 | ICurve | |
curve1 | ICurve | |
return |
public static ClosestPointOn ( this curve, System.Vector3 v ) : |
||
curve | this | |
v | System.Vector3 | |
return |
public static ClosestPointOn ( this curve, double x, double y, double z ) : |
||
curve | this | |
x | double | |
y | double | |
z | double | |
return |
public static ClosestPointTangentOn ( this curve, System.Vector3 v ) : |
||
curve | this | |
v | System.Vector3 | |
return |
public static ClosestPointToRay ( this curve, |
||
curve | this | |
ray | ||
tol | double | |
return |
public static CreateTrimmedCurve ( this curve, double t0, double t1 ) : ICurve | ||
curve | this | |
t0 | double | |
t1 | double | |
return | ICurve |
public static CurveBoundsDoubleArray ( this curve ) : double[] | ||
curve | this | |
return | double[] |
public static DisplayUndoable ( this curve, IModelDoc2 doc, Color color, double thickness, double chordTol = 1e-6, double lengthTol, int layer ) : IDisposable | ||
curve | this | |
doc | IModelDoc2 | |
color | Color | |
thickness | double | |
chordTol | double | |
lengthTol | double | |
layer | int | |
return | IDisposable |
public static DisplayUndoable ( this line, IModelDoc2 doc, Color color, double thickness = 1, int layer ) : IDisposable | ||
line | this | |
doc | IModelDoc2 | |
color | Color | |
thickness | double | |
layer | int | |
return | IDisposable |
public static Domain ( this curve ) : double[] | ||
curve | this | |
return | double[] |
public static EndPoint ( this curve, int derivatives ) : List |
||
curve | this | |
derivatives | int | |
return | List |
public static EndPoint ( this curve ) : System.Vector3 | ||
curve | this | |
return | System.Vector3 |
public static FindMinimumRadius ( this curve ) : MinimumRadiusResult | ||
curve | this | |
return | MinimumRadiusResult |
public static GetCurveTs ( this edge ) : ICurve | ||
edge | this | |
return | ICurve |
public static GetPlanePoints ( this curve, double position, System.Vector3 &pNormal, System.Vector3 &pCurve, System.Vector3 &pAxis ) : void | ||
curve | this | |
position | double | |
pNormal | System.Vector3 | |
pCurve | System.Vector3 | |
pAxis | System.Vector3 | |
return | void |
public static GetPointsByLength ( this curve, double pointDistance, |
||
curve | this | |
pointDistance | double | |
flankHelixDomain | ||
return | List |
public static GetTessPoints ( this curve, double chordTol, double lengthTol, RangeDouble domain = null ) : System.Vector3[] | ||
curve | this | |
chordTol | double | |
lengthTol | double | |
domain | RangeDouble | |
return | System.Vector3[] |
public static PointAt ( this curve, double t, int derivatives ) : List |
||
curve | this | |
t | double | |
derivatives | int | |
return | List |
public static PointAt ( this curve, double t ) : System.Vector3 | ||
curve | this | |
t | double | |
return | System.Vector3 |
public static PointAtDistanceFrom ( this c, System.Vector3 p0, double distance ) : double | ||
c | this | |
p0 | System.Vector3 | |
distance | double | |
return | double |
public static PointAtDistanceFrom ( this c, double t0, double distance ) : double | ||
c | this | |
t0 | double | |
distance | double | |
return | double |
public static PointParamAt ( this curve, double t ) : |
||
curve | this | |
t | double | |
return |
public static PointTangentAt ( this c, double t ) : |
||
c | this | |
t | double | |
return |
public static ReverseEvaluate ( this curve, System.Vector3 p ) : double | ||
curve | this | |
p | System.Vector3 | |
return | double |
public static StartPoint ( this curve, int derivatives ) : List |
||
curve | this | |
derivatives | int | |
return | List |
public static StartPoint ( this curve ) : System.Vector3 | ||
curve | this | |
return | System.Vector3 |